/*
    libfame - Fast Assembly MPEG Encoder Library
    Copyright (C) 2000-2001 Vivien Chappelier

    This library is free software; you can redistribute it and/or
    modify it under the terms of the GNU Library General Public
    License as published by the Free Software Foundation; either
    version 2 of the License, or (at your option) any later version.

    This library is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
    Library General Public License for more details.

    You should have received a copy of the GNU Library General Public
    License along with this library; if not, write to the Free
    Software Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
*/
/********************** floating point quantisation **************************/

/*  quantise                                                                 */
/*                                                                           */
/*  Description:                                                             */
/*    Postmultiply and quantise a block                                      */
/*                                                                           */
/*  Arguments:                                                               */
/*    short *block: the resulting 8x8 block of integer                       */
/*    dct_t *cache: a 8x8 block to quantise                                  */
/*    dct_t *qmatrix: 8x8 coefficients including postscale and quantisation  */
/*                                                                           */
/*  Return value:                                                            */
/*    None.                                                                  */

static void inline quantise(short *block,
			    dct_t *cache,
			    dct_t *qmatrix)
{
  int i;

  for(i = 0; i < 64; i++)
    block[i] = (short) (cache[i]*qmatrix[i]);
}

